<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>MultiUserPlatform (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MultiUserPlatform (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/MultiUserPlatform.html" target="_top">Frames</a></li>
<li><a href="MultiUserPlatform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extension.platform</div>
<h2 title="Interface MultiUserPlatform" class="title">Interface MultiUserPlatform</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">MultiUserPlatform</span>
extends <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a></pre>
<div class="block">Implements a platform with multiple connected users.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extension/platform/MultiUserPlatform.html#getConnectedUsers--">getConnectedUsers</a></span>()</code>
<div class="block">Get a list of connected users.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extension.platform.Platform">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extension.platform.<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getCapabilities--">getCapabilities</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getConfiguration--">getConfiguration</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getDataFixer--">getDataFixer</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getDataVersion--">getDataVersion</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getPlatformName--">getPlatformName</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getPlatformVersion--">getPlatformVersion</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getRegistries--">getRegistries</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getVersion--">getVersion</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#getWorlds--">getWorlds</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#isValidMobType-java.lang.String-">isValidMobType</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#matchPlayer-com.sk89q.worldedit.entity.Player-">matchPlayer</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#matchWorld-com.sk89q.worldedit.world.World-">matchWorld</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#registerCommands-org.enginehub.piston.CommandManager-">registerCommands</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#registerGameHooks--">registerGameHooks</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#reload--">reload</a>, <a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html#schedule-long-long-java.lang.Runnable-">schedule</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConnectedUsers--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConnectedUsers</h4>
<pre>java.util.Collection&lt;<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&gt;&nbsp;getConnectedUsers()</pre>
<div class="block">Get a list of connected users.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a list of connected users</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/Capability.html" title="enum in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/extension/platform/NoCapablePlatformException.html" title="class in com.sk89q.worldedit.extension.platform"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extension/platform/MultiUserPlatform.html" target="_top">Frames</a></li>
<li><a href="MultiUserPlatform.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
